Set a profile role's state as unwithdrawn
Reverses a withdrawal, returning the role to its previous active state. Use this when a candidate re-engages after having been withdrawn.
Path Parameters
- Type: stringprofile
_id requiredUnique identifier of the profile.
- Type: stringrole
_id requiredUnique identifier of the role.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for put/apis/profiles/profiles/{profile_id}/roles/{role_id}/unwithdraw
curl https://ff-business-school.fullfabric.cloud/apis/profiles/profiles/507f1f77bcf86cd799439011/roles/507f1f77bcf86cd799439011/unwithdraw \
--request PUT \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
{
"id": "6385bdd4976a7719120108ed",
"withdrawn": false,
"withdrew_at": null,
"withdrawn_reasons": [],
"withdrawn_detail": null,
"state": "applicant",
"substate": "submitted",
"potential": "high",
"context_id": "6385bb46976a771912003e6a",
"context_type": "Institutions::ClassOf",
"campus_id": null,
"owner_id": null,
"last_updated_at": 1776330800
}